For the complete documentation index, see llms.txt. This page is also available as Markdown.

Event Flow Integrations

Get a list of event flow integrations.

get
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Query parameters
event-flowinteger · int64Optional

filter by the id of the event flow

Responses
200

the event flow integrations

application/json
idinteger · int64Read-onlyOptional
integrationTypestring · enumRequiredPossible values:
integrationKeystringRead-onlyOptional

The key that identifies this integration when events are sent to it.

eventFlowIdinteger · int64Required

The id of the event flow that events of this integration are routed into.

integrationUrlstring · uriRead-onlyOptional

The url events are sent to.

get/event-flow-integrations
GET /api/event-flow-integrations HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

the event flow integrations

[
  {
    "id": 1,
    "integrationType": "NAGIOS",
    "integrationKey": "text",
    "eventFlowId": 1,
    "catalogue": {
      "id": "text",
      "name": "text",
      "type": "INBOUND",
      "iconUrl": "text",
      "documentationUrl": "text",
      "integrationPath": "text"
    },
    "integrationUrl": "https://example.com"
  }
]

Create a new event flow integration.

post
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Body
idinteger · int64Read-onlyOptional
integrationTypestring · enumRequiredPossible values:
integrationKeystringRead-onlyOptional

The key that identifies this integration when events are sent to it.

eventFlowIdinteger · int64Required

The id of the event flow that events of this integration are routed into.

integrationUrlstring · uriRead-onlyOptional

The url events are sent to.

Responses
201

the created event flow integration

application/json
idinteger · int64Read-onlyOptional
integrationTypestring · enumRequiredPossible values:
integrationKeystringRead-onlyOptional

The key that identifies this integration when events are sent to it.

eventFlowIdinteger · int64Required

The id of the event flow that events of this integration are routed into.

integrationUrlstring · uriRead-onlyOptional

The url events are sent to.

post/event-flow-integrations
POST /api/event-flow-integrations HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 44

{
  "integrationType": "NAGIOS",
  "eventFlowId": 1
}
201

the created event flow integration

{
  "id": 1,
  "integrationType": "NAGIOS",
  "integrationKey": "text",
  "eventFlowId": 1,
  "catalogue": {
    "id": "text",
    "name": "text",
    "type": "INBOUND",
    "iconUrl": "text",
    "documentationUrl": "text",
    "integrationPath": "text"
  },
  "integrationUrl": "https://example.com"
}

Get an event flow integration.

get
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idinteger · int64Required

the id of the event flow integration

Responses
200

the event flow integration

application/json
idinteger · int64Read-onlyOptional
integrationTypestring · enumRequiredPossible values:
integrationKeystringRead-onlyOptional

The key that identifies this integration when events are sent to it.

eventFlowIdinteger · int64Required

The id of the event flow that events of this integration are routed into.

integrationUrlstring · uriRead-onlyOptional

The url events are sent to.

get/event-flow-integrations/{id}
GET /api/event-flow-integrations/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

the event flow integration

{
  "id": 1,
  "integrationType": "NAGIOS",
  "integrationKey": "text",
  "eventFlowId": 1,
  "catalogue": {
    "id": "text",
    "name": "text",
    "type": "INBOUND",
    "iconUrl": "text",
    "documentationUrl": "text",
    "integrationPath": "text"
  },
  "integrationUrl": "https://example.com"
}

Update an event flow integration.

put
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idinteger · int64Required

the id of the event flow integration

Body
idinteger · int64Read-onlyOptional
integrationTypestring · enumRequiredPossible values:
integrationKeystringRead-onlyOptional

The key that identifies this integration when events are sent to it.

eventFlowIdinteger · int64Required

The id of the event flow that events of this integration are routed into.

integrationUrlstring · uriRead-onlyOptional

The url events are sent to.

Responses
200

the updated event flow integration

application/json
idinteger · int64Read-onlyOptional
integrationTypestring · enumRequiredPossible values:
integrationKeystringRead-onlyOptional

The key that identifies this integration when events are sent to it.

eventFlowIdinteger · int64Required

The id of the event flow that events of this integration are routed into.

integrationUrlstring · uriRead-onlyOptional

The url events are sent to.

put/event-flow-integrations/{id}
PUT /api/event-flow-integrations/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 44

{
  "integrationType": "NAGIOS",
  "eventFlowId": 1
}
200

the updated event flow integration

{
  "id": 1,
  "integrationType": "NAGIOS",
  "integrationKey": "text",
  "eventFlowId": 1,
  "catalogue": {
    "id": "text",
    "name": "text",
    "type": "INBOUND",
    "iconUrl": "text",
    "documentationUrl": "text",
    "integrationPath": "text"
  },
  "integrationUrl": "https://example.com"
}

Delete an event flow integration.

delete
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idinteger · int64Required

the id of the event flow integration

Responses
204

no content

No content

delete/event-flow-integrations/{id}
DELETE /api/event-flow-integrations/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
204

no content

No content

Last updated

Was this helpful?